Skip to main content
Sitecore Documentation
  • Learn
  • Downloads
  • Changelog
  • Roadmap
SendCloud Portal
Sitecore Send API documentation
  • Introduction to the Sitecore Send API
        • Get all active mailing lists
        • Get mailing list details
        • Get all active mailing lists with paging
        • Create a mailing list
        • Update a mailing list
        • Delete a mailing list
        • Create a custom field
        • Update a custom field
        • Remove a custom field
  1. Mailing lists
  1. Sitecore Send API documentation
  2. API reference

Delete a mailing list

DELETE /lists/{MailingListID}/delete.{Format}

Deletes an email list from your Sitecore Send account.

Request

ParameterInTypeRequiredDescription
MailingListIDpathstringtrueThe ID of the email list to be deleted.
FormatpathstringtrueThe supported file format for getting a response.Possible values: json and xml.
apikeyquerystringtrueThe API key of your account.
DELETE https://{hostname}/v3/lists/{MailingListID}/delete.{Format}?apikey=
curl --include \\
     --request DELETE \\
     --header "Content-Type: application/json" \\
     --header "Accept: application/json" \\
'https://{hostname}/v3/lists/{MailingListID}/delete.{Format}?apikey='

Response

StatusDescriptionHeadersSchema
200 OKThe request is successful.Content-Type
/json
N/A
{
  "Code": 0,
  "Error": null,
  "Context": null
}
  • Code - the response error message. This is 0 if successful.

  • Error - the response error message. This is null if successful.

  • Context - this is null if successful.

If you have suggestions for improving this article, let us know!

© Copyright , Sitecore A/S or a Sitecore affiliated company.
All rights reserved.

Privacy policySitecore Trust CenterTerms of use
SendCloud Portal